<p class="topic">
Create/Edit Attribute
</p>

<p class="text">
This dialog box allows you to create new attributes or edit existing ones. 
</p>

<p class="text">
<b>Attribute name. </b>A unique string that identifies the attribute you are creating.
</p>

<p class="text">
<b>Attribute OID (optional).</b> The Attribute OID field is an optional field that you can use to supply an object identifier (OID) for the new attribute. If you do not supply an OID, the directory automatically uses <span class="variable">attribute_name</span><code>-oid</code>. For example, if you create a new attribute called <code>birthdate</code>, the default OID is <code>birthdate-oid</code>.
</p>

<p class="text">
<b>Attribute aliases (optional). </b>You can specify a nickname for the new attribute. For example, <code>cn</code> is an alias for the <code>CommonName</code> attribute.
</p>

<p class="text">
<b>Attribute description (optional). </b>Enter a short description of the new attribute.
</p>

<p class="text">
<b>Syntax. </b>Select a syntax that describes the data to be held by the attribute.
</p>

<p class="text">
<b>Equality matching rule (optional). </b>Select an equality matching rule to be used by the attribute.  Select <code>none</code> if you do not want to specify a matching rule.  The selected matching rule must be allowed to be used with the selected syntax in order to enable the OK button.
</p>

<p class="text">
<b>Ordering matching rule (optional). </b>Select an ordering matching rule to be used by the attribute.  Select <code>none</code> if you do not want to specify a matching rule.  The selected matching rule must be allowed to be used with the selected syntax in order to enable the OK button.
</p>

<p class="text">
<b>Substring matching rule (optional). </b>Select a substring matching rule to be used by the attribute.  Select <code>none</code> if you do not want to specify a matching rule.  The selected matching rule must be allowed to be used with the selected syntax in order to enable the OK button.
</p>

<p class="text">
<b>Multi-valued. </b>When selected, this option specifies that the attribute you are creating is multi-valued, meaning an entry may contain more than one instance of this attribute.
</p>
